package com.ruoyi.framework.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 医生信息对象 Doctors
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public class Doctors extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 医生唯一标识 */
    private Long DoctorID;

    /** 医生名字 */
    @Excel(name = "医生名字")
    private String FirstName;

    /** 医生姓氏 */
    @Excel(name = "医生姓氏")
    private String LastName;

    /** 专业 */
    @Excel(name = "专业")
    private String Specialty;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String ContactInfo;

    /** 地址 */
    @Excel(name = "地址")
    private String Address;

    /** 执业许可证号 */
    @Excel(name = "执业许可证号")
    private String LicenseNumber;

    /** 记录创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date CreatedAt;

    /** 记录更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date UpdatedAt;

    public void setDoctorID(Long DoctorID) 
    {
        this.DoctorID = DoctorID;
    }

    public Long getDoctorID() 
    {
        return DoctorID;
    }
    public void setFirstName(String FirstName) 
    {
        this.FirstName = FirstName;
    }

    public String getFirstName() 
    {
        return FirstName;
    }
    public void setLastName(String LastName) 
    {
        this.LastName = LastName;
    }

    public String getLastName() 
    {
        return LastName;
    }
    public void setSpecialty(String Specialty) 
    {
        this.Specialty = Specialty;
    }

    public String getSpecialty() 
    {
        return Specialty;
    }
    public void setContactInfo(String ContactInfo) 
    {
        this.ContactInfo = ContactInfo;
    }

    public String getContactInfo() 
    {
        return ContactInfo;
    }
    public void setAddress(String Address) 
    {
        this.Address = Address;
    }

    public String getAddress() 
    {
        return Address;
    }
    public void setLicenseNumber(String LicenseNumber) 
    {
        this.LicenseNumber = LicenseNumber;
    }

    public String getLicenseNumber() 
    {
        return LicenseNumber;
    }
    public void setCreatedAt(Date CreatedAt) 
    {
        this.CreatedAt = CreatedAt;
    }

    public Date getCreatedAt() 
    {
        return CreatedAt;
    }
    public void setUpdatedAt(Date UpdatedAt) 
    {
        this.UpdatedAt = UpdatedAt;
    }

    public Date getUpdatedAt() 
    {
        return UpdatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("DoctorID", getDoctorID())
            .append("FirstName", getFirstName())
            .append("LastName", getLastName())
            .append("Specialty", getSpecialty())
            .append("ContactInfo", getContactInfo())
            .append("Address", getAddress())
            .append("LicenseNumber", getLicenseNumber())
            .append("CreatedAt", getCreatedAt())
            .append("UpdatedAt", getUpdatedAt())
            .toString();
    }
}
